VRECYCLE(9)

NAME
vrecycle - recycle a vnode if its reference count is zero

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
vrecycle(struct vnode *vp, struct proc *p);

DESCRIPTION
The vrecycle() function places the vnode vp on the free list using vgonel(9) if its v_usecount field is zero. If v_usecount is non-zero, it simply returns. The p argument specifies the process responsible for the call.

RETURN VALUES
vrecycle() will return 1 if the vnode was placed on the free list. It will return 0 if the reference count was non-zero.

SEE ALSO
vgonel(9), vnode(9)

HISTORY
This man page was originally written for OpenBSD.